Bug 1032189 - improper use of gettext
improper use of gettext
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: ---
: 2.4.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-11-19 12:01 EST by Michael Hrivnak
Modified: 2014-08-09 02:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-09 02:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xgettext output (3.60 KB, text/plain)
2013-11-19 12:01 EST, Michael Hrivnak
no flags Details

  None (edit)
Description Michael Hrivnak 2013-11-19 12:01:04 EST
Created attachment 826212 [details]
xgettext output

There are numerous cases where we are calling gettext with positional string substitution, which does not work. We must always use name-based substitution in case a translate needs to change the word order.

The attached output is for the platform only. "xgettext" should be run in pulp_rpm and pulp_puppet as well, where I suspect more errors will be found.
Comment 2 Jeff Ortel 2014-04-03 09:36:31 EDT
build: 2.4.0-0.7.beta
Comment 3 Michael Hrivnak 2014-07-03 15:29:00 EDT
This can be verified by running the same two commands shown at the top of the attachment, and making sure the list of warnings is shorter than the list in the attachment.
Comment 4 Preethi Thomas 2014-07-06 06:22:34 EDT
[root@yttrium ~]# rpm -qa pulp-server
[root@yttrium ~]# 
[root@yttrium ~]# find . -name *.py > source_files.txt
[root@yttrium ~]# xgettext -f source_files.txt -o catalog.pot
[root@yttrium ~]#
Comment 5 Randy Barlow 2014-08-09 02:57:06 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.